Subject: [Speechsc] README: New draft/change list

From: Dan Burnett <[email-masked]>
Date: Fri, 9 Jun 2006 18:38:31 -0700 (PDT)

Group,

I have just sent in an updated version of MRCPv2 (-10)
for publication as an Internet Draft.  This document
contains many of the changes agreed to on the list,
but not all.  All issues brought up on the list by the
end of April should either have been addressed in the
draft or been opened as issues in the issue tracker
(http://www.softarmor.com/roundup/speechsc/issue71).

For issues brought up in May or June, please be
patient.
I will be sending another draft in about a week with
more changes applied.  

A list of changes made in the -10 draft (aside from
typo fixes) follows.  "Issue ??" means that this was
in response to an issue but I forgot to write down
which one.

-- Dan Burnett

- Made text string for error 404 be consistent
throughout the doc.
- Issue 47:  GET-PARAMS now has response and error
codes consistent with those for SET-PARAMS
- Issue 43:  Removed Notes and letters from sections
8.2 and 8.3
- Replaced "fetch-timeout" headers under RECOGNIZE and
SPEAK with a single generic-header for "fetch-timeout"
that applies to both.
- Added DEFINE-GRAMMAR to the list of methods that can
accept the "fetch-timeout" header.
- Issues ??, 45, and 50: Added accept and
accept-charset to generic-headerlist in 6.2 and in
ABNF at end.  ABNF now also notes definition of
accept-charset is as in RFC2616.
- Synchronized order and content of generic-headerlist
in 6.2 and 15.
- Issue ??: Replaced all references to content-id or
Content-Id with Content-ID *except* in the ABNF token
name, which is still content-id.
- Issue 61: Corrected BNF for capture-on-speech to be
boolean-value rather than 1*DIGIT.
- Issue 59: Recorder Final-Silence is now documented
to be interpreted as milliseconds.
- Issue 48: Clarified comedia wording in section 4.2.
- Issue 65, point 1: Cleaned up typos
- Issue 65, point 2: All START-SESSION and
VERIFY-FROM-BUFFER examples corrected
- Issue 65, point 3: In section 11 clarified that
simultaneous recognition and verification is
established by allocating the resources in the same
SIP dialog.
- Issue 65, point 5: Replaced <num-frames> with
<utterance-length> in all examples.  Removed
<num-frames> from the schema.
- Issue 65, point 7: Removed "et-phoned-home" as an
option for <device>.
- Issue 65, point 10: Removed <extensions> from all
examples.
- Issue 65, point 12: Corrected conditions in 11.4.3.
- Issue 65, point 13: Modified voiceprint-identifier
BNF to permit unlimited VCHARs after the period.
- Issue 65, point 16: Renamed all "voice-print" and
"voice print" occurrences to "voiceprint".
- Moved statement in 9.7.1 describing behavior of
Clash-Threshold header to section describing the
header.
- Removed statement in 9.7.3 giving a conflicting
default value for the
Num-Min-Consistent-Pronunciations header.
- Lowercased all NLSML elements.  Only changes were to
the Voice Enrollment result elements.
- Lowercased the values of <consistency-status>.
- Clarified in 9.9 that earlier grammars (in document
order) have higher precedence than later ones when no
weights are given.
- Clarified in last sentence of 9.13 that this only
applies if the No-Input Timer was not started
immediately as part of the RECOGNIZE request.
- In 9.9 (Non-Hotword mode section), clarified that
the Recognition-Timer MUST be started when the
START-OF-INPUT event is sent.
- In 9.9 (Non-Hotword mode section), clarified that
when the No-Input-Timer expires, the recognizer must
complete with a Completion-Cause code of
"no-input-timeout".
- In 6.2.16, removed restriction on
Vendor-Specific-Parameters being limited to GET-PARAMS
and SET-PARAMS.
- Issue 86:  In 5.1, noted that the message-length
value MAY be printed as a fixed-length integer that is
zero-padded in front in order to eliminate or reduce
inefficiency in cases where the message-length value
would change as a result of the length of the
message-length token itself.
- In 9.4.1, clarified that no-match is only returned
if there is no candidate match with a confidence
greater than the confidence threshold (as opposed to
returning no-match if there is any low-confidence
result).
- Issue 89: Clarified in DEFINE-GRAMMAR, RECOGNIZE,
and SPEAK that a fetch is required for all external
URIs that are part of the operation.
- Clarified that Load-Lexicon may be used in
DEFINE-GRAMMAR and that Lexicon-Search-Order may be
used in SPEAK, GET-PARAMS, and SET-PARAMS.
- Issue 66: Removed <result-type> from all examples --
it's no longer necessary.

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc